Bug 980091 - link in the alert to the parent on which the alert was created
link in the alert to the parent on which the alert was created
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.9
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 07:58 EDT by Thorsten Grimm
Modified: 2014-03-26 04:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 04:32:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Grimm 2013-07-01 07:58:07 EDT
Description of problem:

It would be helpful if you can go from the general properties of an alert straightly to the parent which has fired this alert. Therefore a link would be nice within the properties of the alert. 


How reproducible:

Go on "recent alerts". Choose one of them. Now it would be fine when you get a link to the parent alert. Maybe for changing or adjusting it.
Comment 1 Thorsten Grimm 2013-07-01 10:22:15 EDT
It would be helpful if you can go from the general properties of an alert straightly to the parent / View Group Definition which has fired this alert. Therefore a link would be nice within the properties of the alert.

Please ask if something is not clear. Thank you very much.
Comment 2 Jirka Kremser 2013-07-19 06:47:20 EDT
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=92a286d61
time:    2013-07-19 12:43:48 +0200
commit:  92a286d611085d96ba1710c442035445dda5318a
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 980091] - link in the alert to the parent on which the alert was
         created - Adding a new filter on AlertDefinitionCriteria
         (filter by alert id).

branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=1f6cf05d5
time:    2013-07-19 12:43:48 +0200
commit:  1f6cf05d57599ded2d196241284b4b5167886c80
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 980091] - link in the alert to the parent on which the alert was
         created - Adding the link to AlertDetailsView if the alert is
         defined by parent definition. Parent definition could mean
         group alert definition, autogroup alert definition or template
         definition

Now the AlertDetailsView (url fragment: #Resource/${RES_ID}/Alerts/History/${ALERT_ID}) contains the link to parent definition.
Comment 3 Heiko W. Rupp 2014-03-26 04:32:21 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.